STKSitar
Prev | Orchestra Opcodes and Operators | Next

## STKSitar

STKSitar — STKSitar uses a plucked string physical model.

## Description

STKSitar uses a plucked string physical model based on the Karplus-Strong algorithm.

## Syntax

    asignal STKSitar ifrequency, iamplitude

## Initialization

ifrequency -- Frequency of note played, in Hertz.

iamplitude -- Amplitude of note played (range 0-1).

## Performance

kc1, kv1, kc2, kv2, kc3, kv3, kc4, kv4, kc5, kv5, kc6, kv6, kc7, kv7, kc8, kv8 -- Up to 8 optional k-rate controller pairs for the STK opcodes. Each controller pair consists of a controller number (kc) followed by a controller value (kv). There are no controller numbers and values that work for STKSitar.

| Note
The code for this opcode is taken directly from the Sitar class in the Synthesis Toolkit in C++ by Perry R. Cook and Gary P. Scavone. More on the STK classes can be found here: https://ccrma.stanford.edu/software/stk/classes.html

## Examples

Here is an example of the STKSitar opcode. It uses the file STKSitar.csd.

Example 785. Example of the STKSitar opcode.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac     ;;;RT audio out
    ;-iadc    ;;;uncomment -iadc if RT audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o STKSitar.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs = 1

    instr 1  ;STKSitar - has no controllers

    ifrq	=	p4

    asig	STKSitar cpspch(p4), 1
    asig	=	asig * 3			;amplify
    	outs asig, asig
    endin

    </CsInstruments>
    <CsScore>

    i 1 0 4 6.00
    i 1 + 2 7.05
    i 1 + 4 5.05
    e
    </CsScore>
    </CsoundSynthesizer>

## Credits

Author: Michael Gogins (after Perry Cook)
Irreducible Productions
New York, NY

New in Csound version 5.11

Prev | Up | Next
STKSimple | Home | STKStifKarp